HighGui (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.highgui

## Class HighGui

- java.lang.Object
- - org.opencv.highgui.HighGui

-     public final class HighGui
      extends java.lang.Object

  This class was designed for use in Java applications to recreate the OpenCV HighGui functionalities.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.concurrent.CountDownLatch` | `latch`
    `static int` | `n_closed_windows`
    `static int` | `pressedKey`
    `static int` | `WINDOW_AUTOSIZE`
    `static int` | `WINDOW_NORMAL`
    `static java.util.Map<java.lang.String,ImageWindow>` | `windows`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HighGui()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.swing.JFrame` | `createJFrame(java.lang.String title, int flag)`
    `static void` | `destroyAllWindows()`
    `static void` | `destroyWindow(java.lang.String winname)`
    `static void` | `imshow(java.lang.String winname, Mat img)`
    `static void` | `moveWindow(java.lang.String winname, int x, int y)`
    `static void` | `namedWindow(java.lang.String winname)`
    `static void` | `namedWindow(java.lang.String winname, int flag)`
    `static void` | `resizeWindow(java.lang.String winname, int width, int height)`
    `static java.awt.Image` | `toBufferedImage(Mat m)`
    `static void` | `waitKey()`
    `static int` | `waitKey(int delay)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WINDOW_NORMAL

          public static final int WINDOW_NORMAL

      See Also:
        Constant Field Values

    - #### WINDOW_AUTOSIZE

          public static final int WINDOW_AUTOSIZE

      See Also:
        Constant Field Values

    - #### n_closed_windows

          public static int n_closed_windows

    - #### pressedKey

          public static int pressedKey

    - #### latch

          public static java.util.concurrent.CountDownLatch latch

    - #### windows

          public static java.util.Map<java.lang.String,ImageWindow> windows

  - ### Constructor Detail

    - #### HighGui

          public HighGui()

  - ### Method Detail

    - #### namedWindow

          public static void namedWindow(java.lang.String winname)

    - #### namedWindow

          public static void namedWindow(java.lang.String winname,
                                         int flag)

    - #### imshow

          public static void imshow(java.lang.String winname,
                                    Mat img)

    - #### toBufferedImage

          public static java.awt.Image toBufferedImage(Mat m)

    - #### createJFrame

          public static javax.swing.JFrame createJFrame(java.lang.String title,
                                                        int flag)

    - #### waitKey

          public static void waitKey()

    - #### waitKey

          public static int waitKey(int delay)

    - #### destroyWindow

          public static void destroyWindow(java.lang.String winname)

    - #### destroyAllWindows

          public static void destroyAllWindows()

    - #### resizeWindow

          public static void resizeWindow(java.lang.String winname,
                                          int width,
                                          int height)

    - #### moveWindow

          public static void moveWindow(java.lang.String winname,
                                        int x,
                                        int y)

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown